View Issue Details

IDProjectCategoryView StatusLast Update
0028749FPCCompilerpublic2016-09-22 10:09
ReporterMaciej IzakAssigned ToYuriy Sydorov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformARMOSAndroidOS Version
Product Version3.1.1Product Build 
Target Version3.0.2Fixed in Version3.0.2 
Summary0028749: Internal error 200307043 for adding double expression to currency
DescriptionBus is probably related to 0028748

This internal error occur for ARM Android compiler:

CurrToStr(Double(0.1) + Currency(0.1)); // this line will raise Internal error 200307043
TagsNo tags attached.
Fixed in Revision33334
FPCOldBugId
FPCTarget
Attached Files

Activities

Yuriy Sydorov

2016-03-26 18:51

manager   ~0091433

Fixed in r33334.
The issue has affected all targets where currency is 64-bit integer.

Issue History

Date Modified Username Field Change
2015-09-29 15:01 Maciej Izak New Issue
2016-03-26 18:51 Yuriy Sydorov Fixed in Revision => 33334
2016-03-26 18:51 Yuriy Sydorov Note Added: 0091433
2016-03-26 18:51 Yuriy Sydorov Status new => resolved
2016-03-26 18:51 Yuriy Sydorov Fixed in Version => 3.1.1
2016-03-26 18:51 Yuriy Sydorov Resolution open => fixed
2016-03-26 18:51 Yuriy Sydorov Assigned To => Yuriy Sydorov
2016-03-26 18:51 Yuriy Sydorov Target Version => 3.0.2
2016-09-22 10:09 Yuriy Sydorov Fixed in Version 3.1.1 => 3.0.2